Skip to content

Query volunteer check-in status

GET
/api/integrations/clock/status
curl --request GET \
--url 'https://example.com/api/integrations/clock/status?phone=%2B17045551234' \
--header 'x-kiosk-secret: <x-kiosk-secret>'
phone
required
string
Example
+17045551234

Volunteer status details

Media typeapplication/json
object
found
required
boolean
volunteer_name
string
nullable
is_clocked_in
required
boolean
clock_in
string format: date-time
nullable
is_active
required
boolean
Example
{
"found": true,
"volunteer_name": "Jane D.",
"is_clocked_in": false,
"is_active": true
}

Bad request / Invalid input parameters

Media typeapplication/problem+json

RFC 7807 Problem Details for HTTP APIs

object
type
required
string
title
required
string
status
required

Current status of the record or process.

integer
detail
required
string
instance
string
retry_after
integer
Example
{
"status": "IN_PROGRESS",
"retry_after": 60
}

Authentication required or invalid credentials

Media typeapplication/problem+json

RFC 7807 Problem Details for HTTP APIs

object
type
required
string
title
required
string
status
required

Current status of the record or process.

integer
detail
required
string
instance
string
retry_after
integer
Example
{
"status": "IN_PROGRESS",
"retry_after": 60
}